Holger's Java API

## com.antelmann.net
Interface MediaCrawler.Handler

Enclosing class:
  MediaCrawler

    public static interface MediaCrawler.Handler

used to handle the media files found during the search of the MediaCrawler

Method Summary
`void` `currentURL(URL url)` called when the given URL is searched for further links
`void` `foundMedia(URLCache uc)` called when a media file is found, so that it can be saved or handled otherwise

Method Detail

### currentURL

    void currentURL(URL url)

  called when the given URL is searched for further links

### foundMedia

    void foundMedia(URLCache uc)

  called when a media file is found, so that it can be saved or handled otherwise

  See Also:
    `URLCache.saveContentToFile(File, boolean)`, `Downloader`, `JDownloader`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads